Mercury API
CmdReadTagAndLockMultiple Method (timeout, antenna, filter, accessPassword, mask, action)
Namespaces ► ThingMagic ► SerialReader ► CmdReadTagAndLockMultiple(UInt16, SerialReader..::.AntennaSelection, TagFilter, UInt32, UInt16, UInt16)
Search for tags for a specified amount of time and lock each one.
Declaration Syntax

C# | Visual Basic | Visual C++

    [ObsoleteAttribute]
    public int[] CmdReadTagAndLockMultiple(
    	ushort timeout,
    	SerialReader..::.AntennaSelection antenna,
    	TagFilter filter,
    	uint accessPassword,
    	ushort mask,
    	ushort action
    )

    <ObsoleteAttribute> _
    Public Function CmdReadTagAndLockMultiple ( _
    	timeout As UShort, _
    	antenna As SerialReader..::.AntennaSelection, _
    	filter As TagFilter, _
    	accessPassword As UInteger, _
    	mask As UShort, _
    	action As UShort _
    ) As Integer()

    [ObsoleteAttribute]
    public:
    array<int>^ CmdReadTagAndLockMultiple(
    	unsigned short timeout,
    	SerialReader..::.AntennaSelection antenna,
    	TagFilter^ filter,
    	unsigned int accessPassword,
    	unsigned short mask,
    	unsigned short action
    )

Parameters

timeout (UInt16)
  the duration in milliseconds to search for tags. Valid range is 0-65535

antenna (SerialReader..::.AntennaSelection)
  the antenna or antennas to use for the search

filter (TagFilter)
  a specification of the air protocol filtering to perform

accessPassword (UInt32)
  the password to use when locking the tag

mask (UInt16)
  the Gen2 lock mask

action (UInt16)
  the Gen2 lock action

Return Value
A three-element array: {the number of tags found, the number of tags successfully locked, the number of tags unsuccessfully locked}

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)